Name: anaconda
Version: 7.1ML
Release: 2.45ml
Copyright: GPL
Summary: The Red Hat Linux installation program.
Group: Applications/System
Source: anaconda-%{PACKAGE_VERSION}.tar.bz2
Obsoletes: anaconda-reconfig
BuildPreReq: pump-devel, kudzu-devel, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel db3-devel gtk+-devel gnome-libs-devel
Prereq: chkconfig /etc/init.d
Requires: rpm-python
Excludearch: sparc sparc64

BuildRoot: /var/tmp/anaconda-%{PACKAGE_VERSION}

%description
The anaconda package contains portions of the Red Hat Linux
installation program which can then be run by the user for
reconfiguration and advanced installation options.

%package runtime
Summary: Red Hat Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false
Requires: anaconda = %{version}-%{release}

%description runtime
The anaconda-runtime package contains parts of the Red Hat Linux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp -p $RPM_BUILD_ROOT/usr/lib/anaconda-runtime/keymaps-i386 $RPM_BUILD_ROOT/usr/lib/anaconda-runtime/keymaps-i686
cp -p $RPM_BUILD_ROOT/usr/lib/anaconda-runtime/fonts-i386 $RPM_BUILD_ROOT/usr/lib/anaconda-runtime/fonts-i686
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add reconfig

%preun
if [ $1 = 0 ]; then
	chkconfig --del reconfig
fi

%files
%defattr(-,root,root)
%doc COPYING
/usr/sbin/anaconda
/usr/share/anaconda/*
/usr/share/locale/*/*/*
/usr/lib/anaconda/*
%ifarch i386 i486 i586 i686
/usr/sbin/ddcprobe
%endif

%config /etc/rc.d/init.d/reconfig

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
#* %{date} Anaconda team <bugzilla@redhat.com>
#- built new version from CVS
* Thu Mar 14 2002 NONAKA Akira <anonaka@miraclelinux.com>
- 2.45ml
- Rebuilt with security fixed zlib

* Wed Oct  3 2001 Noboru Higuchi <nhiguchi@miraclelinux.com>
- 2.44
- arrange messages

* Wed Oct  3 2001 Takeharu Sato <tsatoh@miraclelinux.com>
- 2.43
- removed serial tag

* Thu Sep 27 2001 Takeharu Sato <tsatoh@miraclelinux.com>
- 2.42
- arranged loader to execute kon while running kickstart

* Tue Sep 18 2001 Takeharu Sato <tsatoh@miraclelinux.com>
- 2.40
- arranged installclass.py to set No firewall as default Firewall Configuration 
- arranged anaconda to only root can execute anaconda

* Wed Sep 12 2001 Takeharu Sato <tsatoh@miraclelinux.com>
- 2.38
- arranged installclasses/*.py not to set smaller size to maximum of swap
- than minumum 

* Tue Sep 11 2001 Yuji Oishi <yoishi@miraclelinux.com>
- 2.37ml
- fix to write network setting files when dhcp is not used

* Fri Aug 24 2001 Takeharu Sato <tsatoh@miraclelinux.com>
- 2.19ml
- add keymaps-i686 as a copy of keymaps-i386 to use i686 configured kernel-BOOT
- add fonts-i686 as a copy of fonts-i386 to use i686 configured kernel-BOOT

* Tue Aug 14 2001 Tatsuo Ito <tito@miraclelinux.com>
- 2.11ml
- modify proc file name for cpqarray : array -> cpqarray
- modify spec about ddcprobe in file section

* Fri Jun 19 2001 Tatsuo Ito <tito@miraclelinux.com>
- apply the following patches which were included by anaconda-7.1-14:
  badswapfile, genlocalelist, stubs, aboot, axp-sonames, cl544x, 
  alphaboot, umask.
- add serial tag into anaconda.spec.in.
- RedHat directory in the top directory of install image are changed:
  RedHat -> Miracle 

* Fri Jun 15 2001 Tatsuo Ito <tito@miraclelinux.com>
- 7.1ML-1
- modify messages in bootdisk/i386/ja_JP for syslinux
- add target of snaprpm and src for Makefile

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

